Package org.drinkless.tdlib

# Class TdApi.AuctionBid

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuctionBid

Enclosing class:
  `TdApi`

public static class TdApi.AuctionBid extends TdApi.Object
Describes a bid in an auction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `bidDate`
  Point in time (Unix timestamp) when the bid was made.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `position`
  Position of the bid in the list of all bids.
  `long`
  `starCount`
  The number of Telegram Stars that were put in the bid.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuctionBid()`
  Describes a bid in an auction.
  `AuctionBid(long starCount, int bidDate, int position)`
  Describes a bid in an auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### starCount

    public long starCount
    The number of Telegram Stars that were put in the bid.

  - ### bidDate

    public int bidDate
    Point in time (Unix timestamp) when the bid was made.

  - ### position

    public int position
    Position of the bid in the list of all bids.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuctionBid

    public AuctionBid()
    Describes a bid in an auction.

  - ### AuctionBid

    public AuctionBid(long starCount, int bidDate, int position)
    Describes a bid in an auction.
    Parameters:
      `starCount` - The number of Telegram Stars that were put in the bid.
      `bidDate` - Point in time (Unix timestamp) when the bid was made.
      `position` - Position of the bid in the list of all bids.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR